Easy_Invite = LibStub("AceAddon-3.0"):NewAddon("Easy Invite", "AceHook-3.0")

function Easy_Invite:OnEnable()
    self:RawHook("ChatFrame_OnHyperlinkShow", "HandleAltClick", true)
end

function Easy_Invite:OnDisable()
    self:Unhook("ChatFrame_OnHyperlinkShow")
end

function Easy_Invite:HandleAltClick(...)
    local link = select(2, ...)
    local linkTable = {}
    
    for field in string.gmatch(link, "([^:]+)") do
        table.insert(linkTable, field)
    end

    local isPlayer = linkTable[1] == "player"
    local playerName = linkTable[2]

    if (isPlayer and IsAltKeyDown())
    then
        C_PartyInfo.InviteUnit(playerName)
    else
        self.hooks.ChatFrame_OnHyperlinkShow(...)
    end
end